#include "testlib.h"
#include <vector>

using std::vector;

int main(int argc, char ** argv) {
    registerTestlibCmd(argc, argv);
    int tests = inf.readInt();
    for (int test = 1; test <= tests; test++) {
        int n = inf.readInt();
        int m = inf.readInt();
        vector<int> from, to, color;
        for (int i = 0; i < m; i++) {
            from.push_back(inf.readInt() - 1);
            to.push_back(inf.readInt() - 1);
            color.push_back(inf.readInt() - 1);
        }

        int k = ouf.readInt();
        int juryK = ans.readInt();
        if (k == -1) {
            if (juryK != -1) {
                quitf(_wa, "no solution found, but it exists");
            }
            continue;
        } else {
        	if (k < 2 || k > m) {
                quitf(_wa, "Test %d: Wrong cycle length: %d", test, k);
            }
            vector<int> cycle;
            vector<int> used(m, -1);
            for (int i = 0; i < k; i++) {
                int edge_id = ouf.readInt(1, m) - 1;
                cycle.push_back(edge_id);
                if (used[edge_id] != -1) {
                    quitf(_wa, "Test %d: Edge %d is used twice: at positions %d and %d", test, edge_id + 1, used[edge_id] + 1, i + 1);
                }
                used[edge_id] = i;
            }
            cycle.push_back(cycle[0]);
            for (int i = 0; i < k; i++) {
                int prev = cycle[i], next = cycle[i + 1];
                ensuref(to[prev] == from[next], "Test %d: Adjacent edges %d and %d do not share a vertex", test, prev + 1, next + 1);
                ensuref(color[prev] != color[next], "Test %d: Adjacent edges %d and %d have the same color", test, prev + 1, next + 1);
            }
            if (juryK == -1) {
                quitf(_fail, "Test %d: Jury didn't find an answer, but participant did: k = %d", test, k);
            }
            // current testcase OK, skip edges in ans
            for (int i = 0; i < juryK; i++) {
        		ans.readInt();
        	}
        }
    }
    quitf(_ok, "OK, correct %d tests", tests);
}