import random
random.seed("spb-team-2017/counting")

class TestGen:
    def __init__(self):
        self.test_number = 0

    def generate_samples(self):
        self.print_test([178, 180, 170, 190], 'LLLL')
        self.print_test([178, 180, 175, 170, 190], 'LLRLL')
        self.print_test([178, 180, 170, 170, 160], 'LLRLL')

    def generate_min_tests(self):
        self.print_test([10**9], 'L')
        self.print_test([10**9], 'R')
        self.print_test([10**9, 10**9 - 1], 'LL')
        self.print_test([10**9, 10**9 - 1], 'LR')
        self.print_test([10**9, 10**9 - 1], 'RL')
        self.print_test([10**9, 10**9 - 1], 'RR')
        self.print_test([10**9, 10**9 - 1, 10**9 - 2], 'RLL')
        self.print_test([10**9, 10**9 - 2, 10**9 - 1], 'RRL')
 
    def generate_hand_tests(self):
        self.print_test([10**9 - 2, 10**9, 10**9, 10**9, 10**9, 10**9 - 1], 'RLRLRL')
        self.print_test([5, 6, 6, 6, 7, 7, 7, 8, 8, 8, 7, 7, 7, 6, 6, 6, 5], 'RLRLRLRLRLRLRLRLR')

    def generate_random_test(self, maxn, maxv):
        h = [random.randint(1, maxv) for _ in range(maxn)]
        s = ''.join([('L' if random.randint(1, 2) == 1 else 'R') for _ in range(maxn)])
        self.print_test(h, s)

    def generate_max_tests(self, maxn, maxv):
        self.print_test([maxv] * maxn, 'L' * maxn)
        self.print_test([maxv] * maxn, 'R' * maxn)
        s = ''.join([('L' if random.randint(1, 2) == 1 else 'R') for _ in range(maxn)])
        self.print_test([maxv] * maxn, s)
        a = [1] + [maxv] * (maxn // 3) + [2] * (maxn // 3 - 1) + [maxv] * (maxn // 3) + [1]
        s = 'R'
        for i in range(len(a) - 2):
          s += 'L' if random.randint(1, 2) == 1 else 'R'
        s += 'L'
        self.print_test(a, s)
        self.print_test(a, 'R' + 'R' * (maxn // 3) + 'L' * (maxn // 3 - 1) + 'L' * (maxn // 3) + 'L')

    def print_test(self, h, s):
        self.test_number += 1
        print('Generating test #%d' % self.test_number)

        test_name = "{0:0=2d}".format(self.test_number)
        test_file = open(test_name, 'w')
        print(len(h), file=test_file)
        print(' '.join(map(str, h)), file=test_file)
        print(s, file=test_file)
        test_file.close()

    def generate_all_tests(self):
        self.generate_samples()
        self.generate_min_tests()
        self.generate_hand_tests()
        
        ns = [5, 10, 50, 100, 500, 10**3, 10**4, 5 * 10**4, 10**5]
        vs = [100, 10**5, 10**9]
        for n in ns:
            for v in vs:
                self.generate_random_test(n, v)
        self.generate_max_tests(10**5, 10**9)

import time
start = time.time()
writer = TestGen()
writer.generate_all_tests()
finish = time.time()
print('All tests were generated. Elapsed time: ', finish - start)
