import java.io.*;
import java.util.*;

public class Drawing_bm {
    private FastScanner in;
    private PrintWriter out;

    private void drawFirstLine(char[][] res, int xStart, int yStart, int value) {
        for (int dx = 3; dx >= 0; dx--) {
            for (int dy = 0; dy < 4; dy++) {
                if (value-- > 0) {
                    res[xStart + dx][yStart + dy] = '*';
                }
            }
        }
    }

    private void drawMiddle(char[][] res, int xStart, int yStart, int value) {
        for (int dy = 0; dy < 4; dy++) {
            for (int dx = 0; dx < 4; dx++) {
                if (value-- > 0) {
                    res[xStart + dx][yStart + dy] = '*';
                }
            }
        }
    }

    private void solve() {
        int n = in.nextInt();
        int m = in.nextInt();
        int[][] a = new int[n][m];
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < m; j++) {
                a[i][j] = in.nextInt();
            }
        }
        char[][] res = new char[4 * n][4 * m];
        for (char[] x : res) {
            Arrays.fill(x, '.');
        }
        for (int j = 0; j < m; j++) {
            drawFirstLine(res, 0, j * 4, a[0][j]);
        }
        for (int i = 1; i < n; i++) {
            for (int j = 0; j < m; j++) {
                drawMiddle(res, i * 4, j * 4, a[i][j]);
            }
        }
        for (char[] x : res) {
            out.println(new String(x));
        }
    }

    private void run() {
        try {
            in = new FastScanner(new File("drawing.in"));
            out = new PrintWriter(new File("drawing.out"));

            solve();

            out.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    private void runIO() {
        in = new FastScanner(System.in);
        out = new PrintWriter(System.out);

        solve();

        out.close();
    }

    private class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        FastScanner(InputStream f) {
            br = new BufferedReader(new InputStreamReader(f));
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return null;
                st = new StringTokenizer(s);
            }
            return st.nextToken();
        }

        boolean hasMoreTokens() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return false;
                st = new StringTokenizer(s);
            }
            return true;
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        long nextLong() {
            return Long.parseLong(next());
        }

        double nextDouble() {
            return Double.parseDouble(next());
        }
    }

    public static void main(String[] args) {
        new Drawing_bm().runIO();
    }
}