import java.io.*;
import java.util.*;

public class sharpsat_tourist_java {
    private FastScanner in;
    private PrintWriter out;

    static final int MOD = 998244353;

    int[][] a;
    int[][] b;
    int[] c;
    int[] p2;
    int ans;
    int n, m;

    void dfs(int v, int w, int cnt) {
        if (v == m) {
            if (w == 1) {
                ans = (ans + p2[n - cnt]) % MOD;
            } else {
                ans = (ans - p2[n - cnt] + MOD) % MOD;
            }
            return;
        }
        dfs(v + 1, w, cnt);
        boolean ok = true;
        for (int j : a[v]) {
            if (c[j] < 0) {
                ok = false;
            }
            if (c[j] == 0) {
                cnt++;
            }
            c[j]++;
        }
        for (int j : b[v]) {
            if (c[j] > 0) {
                ok = false;
            }
            if (c[j] == 0) {
                cnt++;
            }
            c[j]--;
        }
        if (ok) {
            dfs(v + 1, -w, cnt);
        }
        for (int j : a[v]) {
            c[j]--;
        }
        for (int j : b[v]) {
            c[j]++;
        }
    }

    private void solve() {
        n = in.nextInt();
        m = in.nextInt();
        a = new int[m][];
        b = new int[m][];
        for (int i = 0; i < m; i++) {
            int foo = in.nextInt();
            int[] temp = new int[foo];
            int positive = 0;
            for (int j = 0; j < foo; j++) {
                temp[j] = in.nextInt();
                if (temp[j] > 0) {
                    positive++;
                }
            }
            a[i] = new int[positive];
            b[i] = new int[foo - positive];
            int aPtr = 0, bPtr = 0;
            for (int bar : temp) {
                if (bar > 0) {
                    a[i][aPtr++] = bar - 1;
                } else {
                    b[i][bPtr++] = -bar - 1;
                }
            }
        }
        c = new int[n];
        p2 = new int[n + 1];
        p2[0] = 1;
        for (int i = 1; i <= n; i++) {
            p2[i] = (p2[i - 1] + p2[i - 1]) % MOD;
        }
        ans = 0;
        dfs(0, 1, 0);
        out.println(ans);
    }

    private void run() {
        try {
            in = new FastScanner(new File("J.in"));
            out = new PrintWriter(new File("J.out"));

            solve();

            out.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    private void runIO() {
        in = new FastScanner(System.in);
        out = new PrintWriter(System.out);

        solve();

        out.close();
    }

    private class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        FastScanner(InputStream f) {
            br = new BufferedReader(new InputStreamReader(f));
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return null;
                st = new StringTokenizer(s);
            }
            return st.nextToken();
        }

        boolean hasMoreTokens() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return false;
                st = new StringTokenizer(s);
            }
            return true;
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        long nextLong() {
            return Long.parseLong(next());
        }

        double nextDouble() {
            return Double.parseDouble(next());
        }
    }

    public static void main(String[] args) {
        new sharpsat_tourist_java().runIO();
    }
}		
