import java.io.*;
import java.util.*;

public class sharpsat_tourist_java_bitset {
    private FastScanner in;
    private PrintWriter out;

    static final int MOD = 998244353;

    BitSet[][] b;
    int[] p2;
    int ans;
    int n, m;

    void dfs(int v, int w, BitSet c0, BitSet c1) {
        if (v == m) {
            BitSet c2 = (BitSet) c0.clone();
            c2.and(c1);
            if (c2.cardinality() != 0) {
                return;
            }
            c2 = (BitSet) c0.clone();
            c2.or(c1);
            int cnt = c2.cardinality();
            if (w == 1) {
                ans = (ans + p2[n - cnt]) % MOD;
            } else {
                ans = (ans - p2[n - cnt] + MOD) % MOD;
            }
            return;
        }
        dfs(v + 1, w, c0, c1);
        BitSet d0 = (BitSet) c0.clone();
        BitSet d1 = (BitSet) c1.clone();
        d0.or(b[v][0]);
        d1.or(b[v][1]);
        dfs(v + 1, -w, d0, d1);
    }

    private void solve() {
        n = in.nextInt();
        m = in.nextInt();
        b = new BitSet[m][2];
        for (int i = 0; i < m; i++) {
            for (int j = 0; j < 2; j++) {
                b[i][j] = new BitSet(n);
            }
        }
        for (int i = 0; i < m; i++) {
            int foo = in.nextInt();
            for (int j = 0; j < foo; j++) {
              int bar = in.nextInt();
              int flag;
              if (bar > 0) {
                  flag = 0;
              } else {
                  flag = 1;
                  bar = -bar;
              }
              b[i][flag].set(bar - 1);
            }
        }
        p2 = new int[n + 1];
        p2[0] = 1;
        for (int i = 1; i <= n; i++) {
            p2[i] = (p2[i - 1] + p2[i - 1]) % MOD;
        }
        ans = 0;
        dfs(0, 1, new BitSet(n), new BitSet(n));
        out.println(ans);
    }

    private void run() {
        try {
            in = new FastScanner(new File("J.in"));
            out = new PrintWriter(new File("J.out"));

            solve();

            out.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    private void runIO() {
        in = new FastScanner(System.in);
        out = new PrintWriter(System.out);

        solve();

        out.close();
    }

    private class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        FastScanner(InputStream f) {
            br = new BufferedReader(new InputStreamReader(f));
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return null;
                st = new StringTokenizer(s);
            }
            return st.nextToken();
        }

        boolean hasMoreTokens() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return false;
                st = new StringTokenizer(s);
            }
            return true;
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        long nextLong() {
            return Long.parseLong(next());
        }

        double nextDouble() {
            return Double.parseDouble(next());
        }
    }

    public static void main(String[] args) {
        new sharpsat_tourist_java_bitset().runIO();
    }
}		
