import java.io.*;
import java.util.*;

public class sharpsat_tourist_java_fast {
    private FastScanner in;
    private PrintWriter out;

    static final int MOD = 998244353;

    int[][] a;
    int[] c;
    int[] p2;
    int[] conflict;
    int ans;
    int n, m;

    void dfs(int v, int w, int cnt, int mask) {
        if (v == m) {
            if (w == 1) {
                ans = (ans + p2[n - cnt]) % MOD;
            } else {
                ans = (ans - p2[n - cnt] + MOD) % MOD;
            }
            return;
        }
        dfs(v + 1, w, cnt, mask);
        if ((mask & conflict[v]) == 0) {
            for (int j : a[v]) {
                if (c[j] == 0) {
                    cnt++;
                }
                c[j]++;
            }
            dfs(v + 1, -w, cnt, mask | (1 << v));
            for (int j : a[v]) {
                c[j]--;
            }
        }
    }

    private void solve() {
        n = in.nextInt();
        m = in.nextInt();
        a = new int[m][];
        for (int i = 0; i < m; i++) {
            int foo = in.nextInt();
            a[i] = new int[foo];
            for (int j = 0; j < foo; j++) {
                a[i][j] = in.nextInt();
            }
        }
        conflict = new int[m];
        for (int i = 0; i < m; i++) {
            for (int j = 0; j < i; j++) {
                for (int x = 0; x < a[i].length; x++) {
                    for (int y = 0; y < a[j].length; y++) {
                        if (a[i][x] == -a[j][y]) {
                            conflict[i] |= (1 << j);
                        }
                    }
                }
            }
        }
        for (int i = 0; i < m; i++) {
            for (int j = 0; j < a[i].length; j++) {
                a[i][j] = Math.abs(a[i][j]) - 1;
            }
        }
        c = new int[n];
        p2 = new int[n + 1];
        p2[0] = 1;
        for (int i = 1; i <= n; i++) {
            p2[i] = (p2[i - 1] + p2[i - 1]) % MOD;
        }
        ans = 0;
        dfs(0, 1, 0, 0);
        out.println(ans);
    }

    private void run() {
        try {
            in = new FastScanner(new File("J.in"));
            out = new PrintWriter(new File("J.out"));

            solve();

            out.close();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
    }

    private void runIO() {
        in = new FastScanner(System.in);
        out = new PrintWriter(System.out);

        solve();

        out.close();
    }

    private class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        FastScanner(InputStream f) {
            br = new BufferedReader(new InputStreamReader(f));
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return null;
                st = new StringTokenizer(s);
            }
            return st.nextToken();
        }

        boolean hasMoreTokens() {
            while (st == null || !st.hasMoreTokens()) {
                String s = null;
                try {
                    s = br.readLine();
                } catch (IOException e) {
                    e.printStackTrace();
                }
                if (s == null)
                    return false;
                st = new StringTokenizer(s);
            }
            return true;
        }

        int nextInt() {
            return Integer.parseInt(next());
        }

        long nextLong() {
            return Long.parseLong(next());
        }

        double nextDouble() {
            return Double.parseDouble(next());
        }
    }

    public static void main(String[] args) {
        new sharpsat_tourist_java_fast().runIO();
    }
}		
