import ru.ifmo.validate.*;

public class Validate implements Validator {
	public static final int MAX_N = 5000;
	public static final int MAX_OLD = 140;
	
	public static void main(String[] args) throws Exception {
		ValidatorFramework.main(args);
	}
	
	boolean isValidChar(char c) {
		return 32 <= c && c < 64 || 'a' <= c && c <= 'z' || 'A' <= c && c <= 'Z' || '0' <= c && c <= '9';
	}

	@Override
	public void validate(ValidatingScanner in) throws Exception {
		int n = in.nextInt(1, MAX_N);
		in.eoln();
		for (int i = 0; i < n; i++) {
			String s = in.nextLine(1, MAX_OLD);
			String[] tokens = s.split(" ");
			if (tokens.length < 2) {
				throw new RuntimeException("Too little tokens: " + s);
			}
			for (int j = 0; j < tokens.length - 1; j++) {
				for (int k = 0; k < tokens[j].length(); k++) {
					if (!isValidChar(tokens[j].charAt(k))) {
						throw new RuntimeException("Invalid char in " + tokens[j]);
					}
				}
			}
			if (!tokens[tokens.length - 1].equals("(" + (i + 1) + "/" + n + ")")) {
				throw new RuntimeException("Invalid ending: " + tokens[tokens.length - 1]);
			}
		}
	}
}
