import java.util.*;
import java.math.*;
import ru.ifmo.testlib.*;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
    public static final int MAX_NEW = 280;
    
    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        BigInteger a = inf.nextBigInteger();
        BigInteger b = inf.nextBigInteger();
        BigInteger c = inf.nextBigInteger();
        BigInteger d = inf.nextBigInteger();

        BigInteger[] v = {a, b, c, d};
        Arrays.sort(v);

        BigInteger ja = ans.nextBigInteger();
        BigInteger jb = ans.nextBigInteger();
        BigInteger jc = ans.nextBigInteger();
        BigInteger jd = ans.nextBigInteger();

        BigInteger pa = ouf.nextBigInteger();
        BigInteger pb = ouf.nextBigInteger();
        BigInteger pc = ouf.nextBigInteger();
        BigInteger pd = ouf.nextBigInteger();

        BigInteger jnum = ja.multiply(jd).add(jb.multiply(jc));
        BigInteger jden = jb.multiply(jd);

        BigInteger pnum = pa.multiply(pd).add(pb.multiply(pc));
        BigInteger pden = pb.multiply(pd);

        BigInteger[] w = {pa, pb, pc, pd};
        Arrays.sort(w);

        for (int i = 0; i < 4; i++) {
            if (!v[i].equals(w[i])) {
                return new Outcome(WA, "Not a permutation of input numbers");
            }
        }


        int res = jnum.multiply(pden).compareTo(pnum.multiply(jden));
        if (res < 0) {
            return new Outcome(WA, "Jury answer is better");
        }
        if (res > 0) {
            return new Outcome(FAIL, "Participant answer is better");
        }

        return new Outcome(OK, ja + " " + jb + " " + jc + " " + jd);
    }
    
}
