#include <vector>
#include "testlib.h"

using namespace std;

long double eps = 1e-6;

int main(int argc, char * argv[]) {
    setName("compare fraction sum");
    registerTestlibCmd(argc, argv);

    int tokens = -1;
    vector<int> cans(4), couf(4);

    while (!ans.seekEof() && !ouf.seekEof()) {
        tokens++;
        cans[tokens] = ans.readInt(), couf[tokens] = ouf.readInt();
    }

    if (ans.seekEof() && ouf.seekEof()) {
        if (tokens == 3) {
            long double rans = (long double) cans[0] / cans[1] + (long double) cans[2] / cans[3];
            long double rouf = (long double) couf[0] / couf[1] + (long double) couf[2] / couf[3];
            sort(cans.begin(), cans.end());
            sort(couf.begin(), couf.end());
            for (int i = 0; i < 4; i++) {
                if (cans[i] != couf[i]) {
                    quitf(_wa, "Participant output contains integer %d not corresponding to input file", couf[i]);
                }
            }
            if (abs(rans - rouf) / rans > eps) {
                if (rans < rouf) {
                    quitf(_wa, "Participant answer is not optimal");
                } else {
                    quitf(_fail, "");
                }
            } else {
                quitf(_ok, "correct");
            }
        } else {
            quitf(_fail, "%d tokens", tokens);
        }
    } else {
        if (ans.seekEof()) {
            quitf(_pe, "Participant output contains extra tokens");
        } else {
            quitf(_pe, "Unexpected EOF in the participants output");
        }
    }
}